package com.muyu.pay.wechat.clients;

import com.dtflys.forest.annotation.BaseRequest;
import com.dtflys.forest.annotation.JSONBody;
import com.dtflys.forest.annotation.Post;
import com.muyu.pay.wechat.clients.interceptor.WeChatAuthInterceptor;
import com.muyu.pay.wechat.domain.req.WeChatPayAppReq;

/**
 * @author DongZl
 * @description: 微信App支付
 * @Date 2023/8/29 12:44
 */

@BaseRequest(
        baseURL = "https://api.mch.weixin.qq.com/v3/pay/transactions",
        contentType = "application/json",
        headers = {
                "Accept: application/json"
        },
        interceptor = WeChatAuthInterceptor.class
)
public interface WeChatAppClient {

    /**
     * App 支付下单
     * @param weChatPayReq 请求参数
     * @return 响应结果
     */
    @Post(
            url = "/app"
    )
    public String order(@JSONBody WeChatPayAppReq weChatPayReq);
}
