package com.muyu.pay.wechat.clients;

import com.dtflys.forest.annotation.BaseRequest;
import com.dtflys.forest.annotation.JSONBody;
import com.dtflys.forest.annotation.Post;
import com.muyu.pay.wechat.clients.interceptor.WeChatAuthInterceptor;
import com.muyu.pay.wechat.domain.req.WeChatPayNativeReq;

/**
 * @author DongZl
 * @description: 微信Native客户端
 * @Date 2023-8-21 下午 02:42
 */
@BaseRequest(
        baseURL = "https://api.mch.weixin.qq.com/v3/pay/transactions",
        contentType = "application/json",
        headers = {
            "Accept: application/json"
        },
        interceptor = WeChatAuthInterceptor.class
)
public interface WeChatNativeClient {

    /**
     * Native 支付下单
     * @param weChatPayReq 请求参数
     * @return 响应结果
     */
    @Post(
            url = "/native"
    )
    public String order(@JSONBody WeChatPayNativeReq weChatPayReq);
}
