package com.muyu.pay.wechat.config;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.security.PrivateKey;

/**
 * @author DongZl
 * @description: 微信支付配置类
 * @Date 2023-8-21 下午 01:54
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WechatPayConfig {

    /**
     * 微信公众号Id
     */
    private String appid;

    /**
     * 商户ID
     */
    private String merchantId ;

    /**
     * 支付Key
     */
    private String payKey;

    /**
     * 加密算法 默认 SHA256withRSA
     */
    private String algorithmType;


    /**
     * 加密模式
     */
    private String schema;

    /**
     * 证书编号
     */
    private String serialNo;

    /**
     * 私有证书
     */
    private PrivateKey privateKey;
}
