package com.muyu.pay.wechat.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author DongZl
 * @description: 微信支付金额
 * @Date 2023-8-21 下午 04:04
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WeChatPayAmountModel {

    /**
     * 总金额 单位 分
     */
    private int total;

    /**
     * 货币类型 默认 CNY(人民币)
     */
    private String currency;

    /**
     * 构建 支付金额
     * @param total 支付金额 单位 分
     * @return 支付总额对象
     */
    public static WeChatPayAmountModel totalBuild(int total){
        return WeChatPayAmountModel.builder()
                .total(total)
                .currency("CNY")
                .build();
    }
}
