package com.muyu.pay.wechat.domain.req;

import com.alibaba.fastjson.annotation.JSONField;
import com.muyu.pay.wechat.domain.WeChatPayBaseReq;
import com.muyu.pay.wechat.domain.model.WeChatPayAmountModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;


/**
 * @author DongZl
 * @description: 微信支付模型
 * @Date 2023-8-21 下午 03:17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class WeChatPayAppReq extends WeChatPayBaseReq {

    /**
     * 商品描述
     */
    private String description;

    /**
     * 商户订单号
     */
    @JSONField(name = "out_trade_no")
    private String outTradeNo;

    /**
     * 通知地址
     */
    @JSONField(name = "notify_url")
    private String notifyUrl;


    /**
     * 订单金额
     */
    @JSONField(name = "amount")
    private WeChatPayAmountModel payAmountModel;
}
