package com.muyu.utils;

import java.util.Random;

/**
 * ID生成器工具类
 *
 * @author leiyonghui
 */
public class IdUtils
{
    /**
     * 获取随机UUID
     *
     * @return 随机UUID
     */
    public static String randomUUID()
    {
        return UUID.randomUUID().toString();
    }

    /**
     * 简化的UUID，去掉了横线
     *
     * @return 简化的UUID，去掉了横线
     */
    public static String simpleUUID()
    {
        return UUID.randomUUID().toString(true);
    }

    /**
     * 获取随机UUID，使用性能更好的ThreadLocalRandom生成UUID
     *
     * @return 随机UUID
     */
    public static String fastUUID()
    {
        return UUID.fastUUID().toString();
    }

    /**
     * 简化的UUID，去掉了横线，使用性能更好的ThreadLocalRandom生成UUID
     *
     * @return 简化的UUID，去掉了横线
     */
    public static String fastSimpleUUID()
    {
        return UUID.fastUUID().toString(true);
    }


    /**
     *
     * @param tag
     * @return
     */
	public static String getNewNumber(String tag)
	{

		StringBuffer sb = new StringBuffer("");
		Random random = new Random();
		for (int i=0;i<6;i++)
		{
			sb.append(random.nextInt(10));
		}

		String number = tag+System.currentTimeMillis()+sb.toString();

		return number;
	}
}
