package com.muyu.wechat.pay;

import com.muyu.WechatPayApplication;
import com.muyu.pay.wechat.clients.WeChatNativeClient;
import com.muyu.pay.wechat.domain.model.WeChatPayAmountModel;
import com.muyu.pay.wechat.domain.req.WeChatPayNativeReq;
import lombok.extern.log4j.Log4j2;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * @author DongZl
 * @description: 微信支付下单测试类
 * @Date 2023-8-21 下午 02:55
 */
@Log4j2
@SpringBootTest(classes = WechatPayApplication.class)
public class NativeClientTest {

    /**
     * 微信 native支付
     */
    @Autowired
    private WeChatNativeClient weChatNativeClient;

    @Test
    public void order(){
        String orderResult = weChatNativeClient.order(
                WeChatPayNativeReq.builder()
                        .description("测试商品")
                        .outTradeNo("12341684615")
                        .notifyUrl("http://doc.qinmian.online")
                        .payAmountModel(
                                WeChatPayAmountModel.totalBuild(100)
                        )
                        .build()
        );
        log.info(orderResult);
    }
}
